PulseAudio 16.1

Data Fields
pa_card_profile_info2 Struct Reference

Stores information about a specific profile of a card. More...

`#include <introspect.h>`

## Data Fields
const char * | name
| Name of this profile. More...
const char * | description
| Description of this profile. More...
uint32_t | n_sinks
| Number of sinks this profile would create. More...
uint32_t | n_sources
| Number of sources this profile would create. More...
uint32_t | priority
| The higher this value is, the more useful this profile is as a default. More...
int | available
| Is this profile available? If this is zero, meaning "unavailable", then it makes no sense to try to activate this profile. More...

## Detailed Description

Stores information about a specific profile of a card.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

Since
  5.0

## Field Documentation

## ◆ available

int pa_card_profile_info2::available

Is this profile available? If this is zero, meaning "unavailable", then it makes no sense to try to activate this profile.

If this is non-zero, it's still not a guarantee that activating the profile will result in anything useful, it just means that the server isn't aware of any reason why the profile would definitely be useless.

Since
  5.0

## ◆ description

const char* pa_card_profile_info2::description

Description of this profile.

## ◆ n_sinks

uint32_t pa_card_profile_info2::n_sinks

Number of sinks this profile would create.

## ◆ n_sources

uint32_t pa_card_profile_info2::n_sources

Number of sources this profile would create.

## ◆ name

const char* pa_card_profile_info2::name

Name of this profile.

## ◆ priority

uint32_t pa_card_profile_info2::priority

The higher this value is, the more useful this profile is as a default.

The documentation for this struct was generated from the following file:

- introspect.h